//波次单号回车
$('#waveNo').keyup(function(event) {
	if(event.keyCode != "13") {
		return false;
	}
	$("#waveNo").val(trimStr($("#waveNo").val()));
	
	//播放扫描声音
    playSound('../raw/scan.wav');
	submitWaveNo()
});

$("#waveNo").blur(function() {
	var waveNo = trimStr($("#waveNo").val());
	if(waveNo == '') {
		$('#waveNo').focus();
	}
});

setTimeout(function() {
	$('#waveNo').focus();
}, 1000);

// 库位号回车
// $('#locationCode').keyup(function(event) {
// 	if(event.keyCode != "13") {
// 		return false;
// 	}
// 	$("#locationCode").val(trimStr($("#locationCode").val()));

//     //播放扫描声音
//     playSound('../raw/scan.wav');
// 	$('#barcode').focus();
// });

// 条码回车
$('#barcode').keyup(function(event) {
	if(event.keyCode != "13") {
		return false;
	}
	$("#barcode").val(trimStr($("#barcode").val()));

    //播放扫描声音
    playSound('../raw/scan.wav');
	$("#productQty").focus();
});

// 提交
$('#productQty').keyup(function(event) {
	if(event.keyCode != "13") {
		return false;
	}
	$("#productQty").val(trimStr($("#productQty").val()));

    //播放扫描声音
    playSound('../raw/scan.wav');
	submitOutShelf();
});

function submitWaveNo() {
	if($("#waveNo").val() == '') {
		mui.alert('波次号或运单号不能为空!', '注意');
		return;
	}
	var appRequest = $appRequest; //复制请求封装对象
	appRequest.opType = OP_TYPE_MENU.BATCH_OUT_SHELF_1;
	appRequest.msg = $("#waveNo").val(); //msg是消息内容主体
	
	// 提交
	$.ajax({
		type: 'POST',
		url: $appRequestUrl,
		data: JSON.stringify(appRequest),
		contentType: "application/json",
		success: function(result) {
			if(!result.success) {
				playSound('../raw/error.wav');
				$("#waveNo").val("");
        		mui.alert(result.msg, '警告', function() {  setFocus('waveNo');  }); 
				return;
			}
			var wave = result.extend;
			
			$("#warehouseCode").val(wave.warehouseCode);
			$("#customerCode").val(wave.customerCode);
			$("#statusName").val(wave.statusName);
			
			$('#barcode').focus();
		},
		error: function() {
			mui.alert('网络断开或服务器发生异常', '注意');
		}
	});
}

//提交下架
var isSubmintIng = false; // 是否正在提交
function submitOutShelf() {
	if(isSubmintIng) {
		return;
	}
	if($("#waveNo").val() == '') {
		mui.alert('波次号不能为空!', '注意');
		return;
	}
	// if($("#locationCode").val() == '') {
	// 	mui.alert('货位号不能为空!', '注意');
	// 	return;
	// }
	if($("#barcode").val() == '') {
		mui.alert('商品条码不能为空!', '注意');
		return;
	}
	if($("#productQty").val() == '') {
		mui.alert('商品数量不能为空!', '注意');
		return;
	}
	isSubmintIng = true;

	var waveNo = $("#waveNo").val();
	// var locationCode = $('#locationCode').val();
	var barcode = $('#barcode').val();
	var quantity = $("#productQty").val();

	var jsonData = {};
	jsonData.waveNo = waveNo;
	jsonData.quantity = quantity;
	// jsonData.locationCode = locationCode;
	jsonData.barcode = barcode;

	var appRequest = $appRequest; //复制请求封装对象
	appRequest.opType = OP_TYPE_MENU.BATCH_OUT_SHELF_2;
	appRequest.msg = JSON.stringify(jsonData); //msg是消息内容主体

	mui(document.getElementById("subButton")).button('loading'); //切换为loading状态
	// 提交
	$.ajax({
		type: 'POST',
		url: $appRequestUrl,
		data: JSON.stringify(appRequest),
		contentType: "application/json",
		success: function(result) {
			console.log(JSON.stringify(result))
			isSubmintIng = false;
			mui(document.getElementById("subButton")).button('reset'); //重置button

			if(!result.success) {
        		playSound('../raw/error.wav');
        		mui.alert(result.msg, '警告', function() {  setFocus('barcode');  }); 				
				return;
			}
			mui.toast(result.msg);
        	//播放成功声音
        	playSound('../raw/ok.wav');
        	
        	nextBarcode(); // 下一个库位
        	
			if(result.extend.flag == '3') { // 波次完成下架
				cleanAll();
			}
		},
		error: function() {
			isSubmintIng = false;
			mui(document.getElementById("subButton")).button('reset'); //重置button

			mui.alert('网络断开或服务器发生异常', '注意');
		}
	});
}

function nextBarcode() {
	// 下架完之后清空
	$(".allowClear").each(function() {
		$(this).val("")
	})
	$('#barcode').focus();
}

function cleanAll() {
	$("input").each(function() {
		$(this).val("")
	})
	$('#waveNo').focus();
}